#![feature(iterator_try_collect)]
#![feature(maybe_uninit_uninit_array)]
#![feature(maybe_uninit_array_assume_init)]

pub mod parse;

use std::error::Error;
use std::fs;

use structopt::StructOpt;

#[derive(Debug, StructOpt)]
pub struct Args {
    exec: String,
}

fn main() -> Result<(), Box<dyn Error>> {
    let args = Args::from_args();
    let file = fs::read(&args.exec)?;
    Ok(())
}
